View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
14061Bug reportsCentral participant databasepublic2018-10-17 17:30
Reportersingerla Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Summary14061: Duplication check when adding participant to survey not working
Description

It is possible to add a participant to a survey for multiple times.

Steps To Reproduce
  • create a testing participant in CPDB
  • add participant to any survey
  • add the same participant again to testing survey

You will receive a PHP Error [500]:
Undefined variable: oTokens (/var/www/html/ls3/LimeSurvey/application/models/Participant.php:1634)

Additional Information

#0 /var/www/html/ls3/LimeSurvey/framework/base/CApplication.php(834): CErrorHandler->handle()
#1 /var/www/html/ls3/LimeSurvey/application/models/Participant.php(1634): LSYii_Application->handleError()
#2 unknown(0): Participant->{closure}()
#3 /var/www/html/ls3/LimeSurvey/application/models/Participant.php(1635): array_reduce()
#4 /var/www/html/ls3/LimeSurvey/application/models/Participant.php(1777): Participant->writeParticipantsToTokenTable()
#5 /var/www/html/ls3/LimeSurvey/application/controllers/admin/participantsaction.php(2297): Participant->copyCPDBAttributesToTokens()
#6 unknown(0): participantsaction->addToTokenattmap()
#7 /var/www/html/ls3/LimeSurvey/framework/web/actions/CAction.php(109): ReflectionMethod->invokeArgs()
#8 /var/www/html/ls3/LimeSurvey/application/core/Survey_Common_Action.php(83): participantsaction->runWithParamsInternal()
#9 /var/www/html/ls3/LimeSurvey/application/controllers/admin/participantsaction.php(55): participantsaction->runWithParams()
#10 /var/www/html/ls3/LimeSurvey/framework/web/CController.php(308): participantsaction->runWithParams()
#11 /var/www/html/ls3/LimeSurvey/framework/web/CController.php(286): AdminController->runAction()
#12 /var/www/html/ls3/LimeSurvey/framework/web/CController.php(265): AdminController->runActionWithFilters()
#13 /var/www/html/ls3/LimeSurvey/application/controllers/AdminController.php(158): AdminController->run()
#14 /var/www/html/ls3/LimeSurvey/framework/web/CWebApplication.php(282): AdminController->run()
#15 /var/www/html/ls3/LimeSurvey/framework/web/CWebApplication.php(141): LSYii_Application->runController()
#16 /var/www/html/ls3/LimeSurvey/framework/base/CApplication.php(185): LSYii_Application->processRequest()
#17 /var/www/html/ls3/LimeSurvey/index.php(194): LSYii_Application->run()

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.14.8
I will donate to the project if issue is resolvedNo
Browserall
Database type & versionMariaDB-10.2.14
Server OS (if known)Debian stretch
Webserver software & version (if known)Apache/2.4.25
PHP Version7.2.3

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

singerla

singerla

2018-09-17 10:22

reporter   ~49061

solved as https://github.com/LimeSurvey/LimeSurvey/pull/1119

DenisChenu

DenisChenu

2018-10-15 18:33

developer   ~49328

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28334

Related Changesets

LimeSurvey: master 03eb14bb

2018-10-15 18:33:41

singerla


Committer: DenisChenu Details Diff
Fixed issue 14061: Duplication check when adding participant to survey not working (#1119)

Dev: fixed adding duplicated Participant to survey
Dev: fixed deleting participant with answers and tokens
Affected Issues
14061
mod - application/models/Participant.php Diff File

Issue History

Date Modified Username Field Change
2018-09-17 10:13 singerla New Issue
2018-09-17 10:22 singerla Note Added: 49061
2018-10-15 18:33 DenisChenu Changeset attached => LimeSurvey master 03eb14bb
2018-10-15 18:33 DenisChenu Note Added: 49328
2018-10-15 18:33 DenisChenu Assigned To => DenisChenu
2018-10-15 18:33 DenisChenu Resolution open => fixed
2018-10-15 18:34 DenisChenu Status new => resolved
2018-10-17 17:30 dominikvitt Status resolved => closed